@echo off

@echo off

rem check, whether we have extended features
if "%CMDEXTVERSION%"=="" goto win98

setlocal
set MYROOT=%~d0%~p0
set PATH=%PATH%;%MYROOT%
set PYTHONPATH=%MYROOT%;%MYROOT%python-core-2.3.4\lib;%MYROOT%python-core-2.3.4\lib\site-packages
set PYTHONHOME=%MYROOT%python-core-2.3.4
"%MYROOT%python-core-2.3.4\bin\python.exe" "C:\Program Files\ktdms\openoffice\program\unoconv_ppt" %* | "%MYROOT%python-core-2.3.4\bin\python.exe" "C:\Program Files\ktdms\openoffice\program\tagfilter"
endlocal

goto ende

:win98
set OLD_PATH=%PATH%
set MY_PYTHON_ROOT=C:\Program Files\OpenOffice.org 2.3\program
set PATH=%PATH%;"%MY_PYTHON_ROOT%"
set PYTHONPATH=%MY_PYTHON_ROOT%;%MY_PYTHON_ROOT%\python-core-2.3.4\lib;%MYROOT%python-core-2.3.4\lib\site-packages
set PYTHONHOME=%MY_PYTHON_ROOT%\python-core-2.3.4
"%MY_PYTHON_ROOT%\python-core-2.3.4\bin\python.exe" "C:\Program Files\ktdms\openoffice\program\unoconv_ppt" %1 %2 %3 %4 %5 %6 %7 %8 %9 | "%MYROOT%python-core-2.3.4\bin\python.exe" "C:\Program Files\ktdms\openoffice\program\tagfilter"
set PATH=%OLD_PATH%
:ende
